Bug 69886 - Clicking on the cancel button on readonly and disabled search fields darkens as if the search field was editable
Summary: Clicking on the cancel button on readonly and disabled search fields darkens ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.7
: P2 Normal
Assignee: Jon Lee
URL: http://www.webkit.org/projects/forms/...
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-10-11 17:26 PDT by Jon Lee
Modified: 2012-01-06 13:57 PST (History)
2 users (show)

See Also:


Attachments
Patch (3.98 KB, patch)
2012-01-04 16:42 PST, Jon Lee
adele: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Lee 2011-10-11 17:26:06 PDT
Disabled and readonly search fields show the (x), allowing the user to remove the contents of the fields.

I suppose, also, with fields set with "result=#", that the drop-down should not be openable, or be openable, but the items are all disabled.

<rdar://problem/10070187>
Comment 1 Jon Lee 2012-01-04 15:27:22 PST
I am woefully misinformed. When comparing with the Mac user experience, disabled search fields still render the (x) but are not clickable. I notice that with ToT clicking on the (x) behaves as if the search field was editable--that is, it darkens when you click on it.  Changing the name of the bug to focus on that.
Comment 2 Jon Lee 2012-01-04 16:42:33 PST
Created attachment 121187 [details]
Patch
Comment 3 Jon Lee 2012-01-06 13:57:35 PST
Committed r104332: http://trac.webkit.org/changeset/104332